Search system does not respond quickly and sends partial text.
Closed, ResolvedPublic

Assigned To
None
Priority
Unbreak Now!
Author
bzimport
Subscribers
maiden_taiwan, TrevorParscal, Quiddity and 2 others
Projects
Reference
bz23498
Description

Author: nickweiss

Description:
I'm not sure if this belongs in Lucene or here, but with the new search system, if typing a search entry and hitting enter quickly, only part of the search field will be sent, "Harrier" is desired, and I am redirected to "Har" if more time is taken to type and hit enter, the system works fine, but if typing quickly, this bug occurs.


Version: unspecified
Severity: critical

bzimport added a project: MediaWiki-Search.Via ConduitNov 21 2014, 11:00 PM
bzimport set Reference to bz23498.
bzimport created this task.Via LegacyMay 13 2010, 8:35 AM
demon added a comment.Via ConduitMay 13 2010, 5:08 PM
  • Bug 23508 has been marked as a duplicate of this bug. ***
Catrope added a comment.Via ConduitMay 13 2010, 10:11 PM
  • Bug 23511 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitMay 13 2010, 11:05 PM

riffraffselbow wrote:

Also encountered on Windows on Firefox; others have reported on Village Pump (Technical) that they encountered it on Chrome, so it looks more or less universal. My best guess is that it has something to do with the search suggestions. If that's the case, recommend a temporary disable until it's fixed, as this is absolutely a dealbreaker from my point-of-view.

bzimport added a comment.Via ConduitMay 14 2010, 9:31 AM

rainman wrote:

Bumping up this to a major bug. Hundreds of people are affected by this bug every second and it prevents them from getting to the page they want to get to. Please make it top priority to solve it.

Catrope added a comment.Via ConduitMay 14 2010, 10:41 AM

bug 23517 is related

bzimport added a comment.Via ConduitMay 14 2010, 5:38 PM

gamepro777 wrote:

Also reporting this bug. Getting irritating that the box/search cannot keep up with fast typers. Typically searches based on what you had typed in when it began to suggest searches.

bzimport added a comment.Via ConduitMay 15 2010, 1:45 AM

ian.woollard wrote:

Something like 50% of the article hits go through this search box (the rest go through google). The importance of this bug cannot be overstated. We're looking at millions of people affected.

bzimport added a comment.Via ConduitMay 15 2010, 2:33 AM

rainman wrote:

If the issues cannot be resolved today, it might be best just to temporarily disable SimpleSearch, as the commons vector-tested old search seemed to have worked fine.

bzimport added a comment.Via ConduitMay 15 2010, 2:41 AM

delbu9c1 wrote:

Confirming the issue here. It really seems to me like it's not actually a performance issue, but rather that it's caused by the delay from querying the server for suggestions. A possible guess is that it's capturing the first few keys, sending a request, then more keys are typed and the user pushes "enter" before a response is received, and the contents that triggered the initial request are what is taken.

But I haven't looked into the code for this, that is just what it feels like based on experimental usage.

Catrope added a comment.Via ConduitMay 15 2010, 10:27 AM

(In reply to comment #8)

If the issues cannot be resolved today, it might be best just to temporarily
disable SimpleSearch, as the commons vector-tested old search seemed to have
worked fine.

Since this is not realistically going to be fixed over the weekend, I've gone ahead and done exactly this. The JS part of SimpleSearch has been disabled until we sort out this issue. The search bar still looks the same, and mwsuggest has taken over the AJAX search suggestions.

bzimport added a comment.Via ConduitMay 15 2010, 11:16 PM

tore wrote:

(In reply to comment #10)

Since this is not realistically going to be fixed over the weekend, I've gone
ahead and done exactly this. The JS part of SimpleSearch has been disabled
until we sort out this issue. The search bar still looks the same, and
mwsuggest has taken over the AJAX search suggestions.

FYI, I just checked and the bug is still present.

bzimport added a comment.Via ConduitMay 15 2010, 11:31 PM

tore wrote:

Expanding on my previous comment: it seems like the bug now appears less frequently, but it is still possible to get it if you type very quickly and press enter immediately after typing. Either letters will disappear from the end of the search string, or you will be taken to the search page as if you didn't type anything at all. It does seem like you need to type faster than before in order to get it though.

bzimport added a comment.Via ConduitMay 16 2010, 3:42 PM

ian.woollard wrote:

Is this commons or wikipedia Tore?

The bug seems to be not present currently on the English Wikipedia for me using the latest release of Firefox.

Catrope added a comment.Via ConduitMay 17 2010, 9:18 AM

I just realized that the way I disabled SimpleSearch meant it wouldn't be disabled for anonymous users immediately due to caching. I have now fixed this.

bzimport added a comment.Via ConduitMay 17 2010, 2:00 PM

gamepro777 wrote:

Tested this morning, confirming that it is still an issue. Using IE8, English Wikipedia, last few characters of search still being trimmed as the suggested search area shows up under.

bzimport added a comment.Via ConduitMay 17 2010, 2:07 PM

ayg wrote:

Confirmed, this is still present for me on enwiki. Both logged in and logged out, including with cleared cache.

bzimport added a comment.Via ConduitMay 17 2010, 2:19 PM

ian.woollard wrote:

Yes, bug is back now on English wikipedia using firefox.

bzimport added a comment.Via ConduitMay 17 2010, 3:11 PM

ayg wrote:

*** Bug 23566 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitMay 17 2010, 3:26 PM

amiller1 wrote:

Fixed in r66565. We'll test it a little more and try to get the fix deployed as soon as possible.

Catrope added a comment.Via ConduitMay 17 2010, 4:41 PM

(In reply to comment #17)

Yes, bug is back now on English wikipedia using firefox.

I thought I had disabled SimpleSearch properly this time around, but it looks like I still hadn't. I got Domas to purge the JS in Varnish; clearing your browser cache or doing a hard refresh (Ctrl+F5 in most browsers) should disable SimpleSearch for real.

bzimport added a comment.Via ConduitMay 24 2010, 3:37 PM

ian.woollard wrote:

The bug is back!!!

bzimport added a comment.Via ConduitMay 27 2010, 6:02 PM

ian.woollard wrote:

Seems OK again. maybe a caching problem.

bzimport added a comment.Via ConduitDec 1 2011, 2:55 PM

aaron.schulz wrote:

content hidden as private in Bugzilla

Add Comment